How to install Litespeed PHP with popular modules like PHP cPanel MySQL

Discussion in 'Install/Configuration' started by khoaofgod, Apr 5, 2012.

  1. khoaofgod

    khoaofgod New Member

    I'm running cPanel, MySQL, PHP with config like other web hosting provider.

    But right now, my website have hight traffic, and I switch to Debian Server with LIteSpeed.

    I have installed MySQL already, and LIteSpeed already.

    I need help on "Compile PHP with LSAPI" . I pick PHP 5.3
    But suhosin always get Error Patch and stop there.

    I need to Compile PHP with LSAPI with popular modules for PHp, MySQL.
    Which modules I need to enable for running forum VBB, Wordpress.

    I also need ACP cache, sphinx ...

    Retrieving Suhosin patch from http://download.suhosin.org/suhosin-patch-5.3.4-0.9.10.patch.gz
    Patching source with Suhosin patch
    **ERROR** Could not patch source with Suhosin patch

    My Website have over 700,000 page load day. Any Config I need to setting on Litespeed or just keep default ?
  2. webizen

    webizen New Member

    your debian server is missing patch utility. do following to install it.

    Yes, LSWS defaults should be ok for you.
  3. khoaofgod

    khoaofgod New Member

    I have installed patch, but still can't not install suhoshin >_<
  4. webizen

    webizen New Member

    same error or something else? anything in detailed log?

Share This Page